<?php if (!defined('IN_CONTEXT')) die('access violation error!'); ?>


<div class="art_list">
	<div class="art_list_title"><?php echo $curr_product->name; ?></div>
	<div class="prodview_info"><?php _e('Category'); ?>: <?php echo $curr_product->masters['ProductCategory']->name; ?>&nbsp;
    <?php _e('Publish Time'); ?>: <?php echo date('Y-m-d H:i', $curr_product->create_time); ?>&nbsp;</div>
	<div class="artview_intr"><?php echo $curr_product->introduction; ?></div>
	<div class="prodview_pic"><a href="<?php echo $curr_product->feature_img; ?>" title="<?php echo $curr_product->name; ?>" class="thickbox"><img name="picautozoom" src="<?php echo $curr_product->feature_smallimg; ?>" alt="" border="0" align="left" width="200" class="productimg" /></a></div>
	<div class="prodview_prices">
	<?php if ($curr_product->online_orderable) { ?>
            <script type="text/javascript" language="javascript">
            <!--
                function updatecartstate(response) {
                    var o_result = _eval_json(response);
                    if (!o_result) {
                        return addprodfailed(response);
                    }
                    
                    if (o_result.result == "ERROR") {
                        alert(o_result.errmsg);
                        return false;
                    } else if (o_result.result == "OK") {
                        $("#disp_n_prds").html(o_result.n_prds);
                        alert("<?php _e('The product has been added to cart!'); ?>");
                        return true;
                    } else {
                        return on_failure(response);
                    }
                }
                
                function addprodfailed(response) {
                    alert("<?php _e('Request failed!'); ?>");
                    return false;
                }
                
                function add2cart(p_id) {
                    var p_num = document.getElementById("prod_num_" + p_id).value;
                    _ajax_request("mod_cart", "addtocart", 
                        { p_id: p_id, p_num: p_num }, updatecartstate, addprodfailed);
                }
            //-->
            </script>
			<?php if ($curr_product->discount_price != $curr_product->price) { ?>
				<?php _e('Price'); ?> : ￥<?php echo $curr_product->price; ?><br />
				<?php _e('Discount Price'); ?> : ￥<?php echo $curr_product->discount_price; ?><br />
				<?php } else { ?>
				<?php _e('Price'); ?> : ￥<?php echo $curr_product->price; ?><br />
				<?php } ?>
				<?php _e('Delivery Fee'); ?> : ￥<?php echo $curr_product->delivery_fee; ?><br />
				<?php _e('Quantity'); ?> : <?php echo Html::input('text', 'prod_num_'.$curr_product->id, $_COOKIE['n_prd'][$curr_product->id]?$_COOKIE['n_prd'][$curr_product->id]:1, 'size="4"'); ?><br />
				<input type="button" class="add_to_cart_b_view" value="<?php _e('Add to cart'); ?>" onclick="add2cart('<?php echo $curr_product->id; ?>');return false;" />
            <?php } ?></div>
	<div class="prodview_content"><?php echo $curr_product->description; ?></div>



<?php if (defined('SYSVER')) { ?>
        <p id="product_gallery">
            <?php
                $curr_product->loadRelatedObjects(REL_CHILDREN, array('ProductPic'));
                $ext_pics = $curr_product->slaves['ProductPic'];
                if (sizeof($ext_pics) > 0) {
                    foreach ($ext_pics as $pic) {
            ?>
                <a href="<?php echo $pic->pic; ?>" rel="product_gallery" class="thickbox">
                    <img class="product_gallery_pic" src="<?php echo $pic->pic; ?>" /></a>
            <?php
                    }
                }
            ?>
        </p>
<?php } ?>
</div>